using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableGinseng : FarmableCrop
	{
		public static int GetCropID()
		{
			return Utility.RandomList( 0x18E9, 0x18EA );
		}

		public override Item GetCropObject()
		{
			Item item = new Ginseng();
			item.Amount = 1;
			return item;
		}

		public override int GetPickedID()
		{
			return 0xCB5;
		}

		[Constructable]
		public FarmableGinseng() : base( GetCropID() )
		{
			Name = "ginseng";
		}

		public FarmableGinseng( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadEncodedInt();
		}
	}
}